Index: c/src/exec/itron/include/Makefile.am
===================================================================
--- c/src/exec/itron/include/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/include/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -9,7 +9,6 @@
 noinst_HEADERS = $(H_FILES)
 
-PREINSTALL_FILES = \
-$(PROJECT_INCLUDE) \
-$(noinst_HEADERS:%=$(PROJECT_INCLUDE)/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(noinst_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 $(PROJECT_INCLUDE):
@@ -18,7 +17,5 @@
 	$(INSTALL_DATA) $< $@
 
-all-am: $(PREINSTALL_FILES)
-debug-am: $(PREINSTALL_FILES)
-profile-am: $(PREINSTALL_FILES)
+all-local: $(PREINSTALL_FILES)
 
 SUBDIRS = rtems itronsys
Index: c/src/exec/itron/include/itronsys/Makefile.am
===================================================================
--- c/src/exec/itron/include/itronsys/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/include/itronsys/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -5,12 +5,11 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = eventflags.h fmempool.h intr.h mbox.h msgbuffer.h network.h \
-    port.h semaphore.h status.h sysmgmt.h task.h time.h types.h vmempool.h
+H_FILES = eventflags.h fmempool.h intr.h mbox.h msgbuffer.h network.h port.h \
+    semaphore.h status.h sysmgmt.h task.h time.h types.h vmempool.h
 
 noinst_HEADERS = $(H_FILES)
 
-PREINSTALL_FILES = \
-$(PROJECT_INCLUDE)/itronsys \
-$(noinst_HEADERS:%=$(PROJECT_INCLUDE)/itronsys/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/itronsys \
+    $(noinst_HEADERS:%=$(PROJECT_INCLUDE)/itronsys/%)
 
 $(PROJECT_INCLUDE)/itronsys:
@@ -19,7 +18,5 @@
 	$(INSTALL_DATA) $< $@
 
-all-am: $(PREINSTALL_FILES)
-debug-am: $(PREINSTALL_FILES)
-profile-am: $(PREINSTALL_FILES)
+all-local: $(PREINSTALL_FILES)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/exec/itron/include/rtems/itron/Makefile.am
===================================================================
--- c/src/exec/itron/include/rtems/itron/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/include/rtems/itron/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -6,12 +6,11 @@
 
 H_FILES = config.h eventflags.h fmempool.h intr.h itronapi.h mbox.h \
-    msgbuffer.h network.h object.h port.h semaphore.h sysmgmt.h \
-    task.h time.h vmempool.h
+    msgbuffer.h network.h object.h port.h semaphore.h sysmgmt.h task.h \
+    time.h vmempool.h
 
 noinst_HEADERS = $(H_FILES)
 
-PREINSTALL_FILES = \
-$(PROJECT_INCLUDE)/rtems/itron \
-$(H_FILES:%=$(PROJECT_INCLUDE)/rtems/itron/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/itron \
+    $(H_FILES:%=$(PROJECT_INCLUDE)/rtems/itron/%)
 
 $(PROJECT_INCLUDE)/rtems/itron:
@@ -20,7 +19,5 @@
 	$(INSTALL_DATA) $< $@
 
-all-am: $(PREINSTALL_FILES)
-debug-am: $(PREINSTALL_FILES)
-profile-am: $(PREINSTALL_FILES)
+all-local: $(PREINSTALL_FILES)
 
 EXTRA_DIST = README
Index: c/src/exec/itron/inline/rtems/itron/Makefile.am
===================================================================
--- c/src/exec/itron/inline/rtems/itron/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/inline/rtems/itron/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -4,14 +4,14 @@
 
 AUTOMAKE_OPTIONS = foreign 1.4
+
 if INLINE
 I_FILES = eventflags.inl fmempool.inl intr.inl mbox.inl msgbuffer.inl \
-    network.inl port.inl semaphore.inl sysmgmt.inl task.inl \
-    time.inl vmempool.inl
+    network.inl port.inl semaphore.inl sysmgmt.inl task.inl time.inl \
+    vmempool.inl
 
 noinst_HEADERS = $(I_FILES)
 
-PREINSTALL_FILES = \
-$(PROJECT_INCLUDE)/rtems/itron \
-$(I_FILES:%=$(PROJECT_INCLUDE)/rtems/itron/%)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/itron \
+    $(I_FILES:%=$(PROJECT_INCLUDE)/rtems/itron/%)
 
 $(PROJECT_INCLUDE)/rtems/itron:
@@ -21,7 +21,5 @@
 endif
 
-all-am: $(PREINSTALL_FILES)
-debug-am: $(PREINSTALL_FILES)
-profile-am: $(PREINSTALL_FILES)
+all-local: $(PREINSTALL_FILES)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/exec/itron/src/Makefile.am
===================================================================
--- c/src/exec/itron/src/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -19,7 +19,7 @@
 MAILBOX_C_FILES = mbox.c
 
-MSGBUFFER_C_FILES = msgbuffer.c msgbuffertranslatereturncode.c \
-    cre_mbf.c del_mbf.c prcv_mbf.c psnd_mbf.c rcv_mbf.c ref_mbf.c snd_mbf.c \
-    trcv_mbf.c tsnd_mbf.c
+MSGBUFFER_C_FILES = msgbuffer.c msgbuffertranslatereturncode.c cre_mbf.c \
+    del_mbf.c prcv_mbf.c psnd_mbf.c rcv_mbf.c ref_mbf.c snd_mbf.c trcv_mbf.c \
+    tsnd_mbf.c
 
 RENDEZVOUS_C_FILES = port.c
@@ -50,18 +50,9 @@
 
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
-AM_CFLAGS += $(CFLAGS_OS_V)
 
-all: ${ARCH} ${OBJS}
+all-local: ${ARCH} ${OBJS}
 
-UNUSED_C_FILES = \
-cre_mbx.c del_mbx.c \
-mboxtranslatereturncode.c \
-network.c \
-prcv_mbx.c \
-rcv_mbx.c \
-ref_mbx.c \
-snd_mbx.c \
-sysmgmt.c \
-trcv_mbx.c
+UNUSED_C_FILES = cre_mbx.c del_mbx.c mboxtranslatereturncode.c network.c \
+    prcv_mbx.c rcv_mbx.c ref_mbx.c snd_mbx.c sysmgmt.c trcv_mbx.c
 
 EXTRA_DIST = $(C_FILES) $(UNUSED_C_FILES)
Index: c/src/exec/itron/src/cre_tsk.c
===================================================================
--- c/src/exec/itron/src/cre_tsk.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/cre_tsk.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -31,5 +31,4 @@
 {
   register Thread_Control     *the_thread;
-  char                        *name = "trn";
   boolean                      status;
   Priority_Control             core_priority;  
@@ -91,5 +90,5 @@
     NULL,        /* no budget algorithm callout */
     0,
-    &name
+    NULL
   );
 
Index: c/src/exec/itron/src/eventflags.c
===================================================================
--- c/src/exec/itron/src/eventflags.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/eventflags.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -39,5 +39,5 @@
     FALSE,                              /* TRUE if names for this object */
                                         /*   are strings */
-    RTEMS_MAXIMUM_NAME_LENGTH,          /* maximum length of each object's */
+    ITRON_MAXIMUM_NAME_LENGTH,          /* maximum length of each object's */
                                         /*   name */
     FALSE                               /* TRUE if this class is threads */
Index: c/src/exec/itron/src/fmempool.c
===================================================================
--- c/src/exec/itron/src/fmempool.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/fmempool.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -40,5 +40,5 @@
     FALSE,                             /* TRUE if names for this object */
                                        /*   are strings */
-    RTEMS_MAXIMUM_NAME_LENGTH,         /* maximum length of each object's */
+    ITRON_MAXIMUM_NAME_LENGTH,         /* maximum length of each object's */
                                        /*   name */
     FALSE                              /* TRUE if this class is threads */
Index: c/src/exec/itron/src/itronsem.c
===================================================================
--- c/src/exec/itron/src/itronsem.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/itronsem.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -42,5 +42,5 @@
     FALSE,                             /* TRUE if names for this object */
                                        /*   are strings */
-    RTEMS_MAXIMUM_NAME_LENGTH,         /* maximum length of each object's */
+    ITRON_MAXIMUM_NAME_LENGTH,         /* maximum length of each object's */
                                        /*   name */
     FALSE                              /* TRUE if this class is threads */
Index: c/src/exec/itron/src/mbox.c
===================================================================
--- c/src/exec/itron/src/mbox.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/mbox.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -41,5 +41,5 @@
     FALSE,                           /* TRUE if names for this object */
                                      /*   are strings */
-    RTEMS_MAXIMUM_NAME_LENGTH,       /* maximum length of each object's */
+    ITRON_MAXIMUM_NAME_LENGTH,       /* maximum length of each object's */
                                      /*   name */
     FALSE                            /* TRUE if this class is threads */
Index: c/src/exec/itron/src/msgbuffer.c
===================================================================
--- c/src/exec/itron/src/msgbuffer.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/msgbuffer.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -44,5 +44,5 @@
     FALSE,                         /* TRUE if names for this
                                       object are strings */ 
-    RTEMS_MAXIMUM_NAME_LENGTH,     /* maximum length of each
+    ITRON_MAXIMUM_NAME_LENGTH,     /* maximum length of each
                                       object's name */ 
     FALSE                          /* TRUE if this class is threads */
Index: c/src/exec/itron/src/port.c
===================================================================
--- c/src/exec/itron/src/port.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/port.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -37,5 +37,5 @@
     FALSE,                        /* TRUE if names for this object */
                                   /*   are strings */
-    RTEMS_MAXIMUM_NAME_LENGTH,    /* maximum length of each object's name */
+    ITRON_MAXIMUM_NAME_LENGTH,    /* maximum length of each object's name */
     FALSE                         /* TRUE if this class is threads */
   );
Index: c/src/exec/itron/src/vmempool.c
===================================================================
--- c/src/exec/itron/src/vmempool.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/exec/itron/src/vmempool.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -40,5 +40,5 @@
     FALSE,                             /* TRUE if names for this object */
                                        /*   are strings */
-    RTEMS_MAXIMUM_NAME_LENGTH,         /* maximum length of each object's */
+    ITRON_MAXIMUM_NAME_LENGTH,         /* maximum length of each object's */
                                        /*   name */
     FALSE                              /* TRUE if this class is threads */
